Bug 1282093 - please rebase oslo.log to 1.12.0
please rebase oslo.log to 1.12.0
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: python-oslo-config (Show other bugs)
Liberty
All Linux
urgent Severity urgent
: ---
: Kilo
Assigned To: hguemar
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 16:35 EST by Steven Dake
Modified: 2016-05-19 11:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:42:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2015-11-14 16:35:08 EST
The component is inaccurate.  oslo-log is not available in the components list so I assigned to python-oslo-config.

Description of problem:
oslo.log has a fatal bug which causes it not to operate correctly with syslog facilities.

Version-Release number of selected component (if applicable):
oslo.log==1.12.0

How reproducible:
100%

Steps to Reproduce:
1. deploy kolla from stable/liberty without a pip-install based workaround
2. neutron-server will enter a restarting state because it asserts during startup
3. we want RPM packaging to deploy completely from RPM packaging - not using pip in any way.

Actual results:
syslog model crashes

Expected results:
syslog model should work

Additional info:
https://bugs.launchpad.net/kolla/+bug/1516306
https://bugs.launchpad.net/oslo.log/+bug/1499620
Comment 1 Steven Dake 2015-11-14 16:41:17 EST
Quick note, these are the repositories we are using:

# This repo provides the latest stable RPM packages for the liberty release
RUN yum -y install http://rdoproject.org/repos/openstack-liberty/rdo-release-liberty.rpm
Comment 2 Steven Dake 2015-11-14 16:42:20 EST
Note I don't need a rebase, a cherry-pick would do.  Thanks :)
Comment 3 jxstanford 2016-03-29 10:59:02 EDT
A friendly reminder that this issue totally breaks neutron for RDO if someone sets use_syslog = True.  It's been fixed upstream, and in other distros.  Would be great to get it in RDO as well.
Comment 5 Chandan Kumar 2016-05-19 11:42:42 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.